diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/traffic-control/model/red-queue-disc.h ns-3.43/src/traffic-control/model/red-queue-disc.h
--- ns-3.42/src/traffic-control/model/red-queue-disc.h	2024-05-29 15:29:47.184073700 -0700
+++ ns-3.43/src/traffic-control/model/red-queue-disc.h	2024-10-09 16:41:10.100656700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright © 2011 Marcos Talau
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Marcos Talau (talau@users.sourceforge.net)
  *
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/traffic-control/model/tbf-queue-disc.cc ns-3.43/src/traffic-control/model/tbf-queue-disc.cc
--- ns-3.42/src/traffic-control/model/tbf-queue-disc.cc	2024-05-29 15:29:47.184073700 -0700
+++ ns-3.43/src/traffic-control/model/tbf-queue-disc.cc	2024-10-09 16:41:10.100656700 -0700
@@ -2,18 +2,7 @@
  * Copyright (c) 2017 Kungliga Tekniska Högskolan
  *               2017 Universita' degli Studi di Napoli Federico II
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * TBF, The Token Bucket Filter Queueing discipline
  *
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/traffic-control/model/tbf-queue-disc.h ns-3.43/src/traffic-control/model/tbf-queue-disc.h
--- ns-3.42/src/traffic-control/model/tbf-queue-disc.h	2024-05-29 15:29:47.184073700 -0700
+++ ns-3.43/src/traffic-control/model/tbf-queue-disc.h	2024-10-09 16:41:10.100656700 -0700
@@ -2,18 +2,7 @@
  * Copyright (c) 2017 Kungliga Tekniska Högskolan
  *               2017 Universita' degli Studi di Napoli Federico II
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * TBF, The Token Bucket Filter Queueing discipline
  *
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/traffic-control/model/traffic-control-layer.cc ns-3.43/src/traffic-control/model/traffic-control-layer.cc
--- ns-3.42/src/traffic-control/model/traffic-control-layer.cc	2024-05-29 15:29:47.184073700 -0700
+++ ns-3.43/src/traffic-control/model/traffic-control-layer.cc	2024-10-09 16:41:10.100656700 -0700
@@ -2,18 +2,7 @@
  * Copyright (c) 2015 Natale Patriciello <natale.patriciello@gmail.com>
  *               2016 Stefano Avallone <stavallo@unina.it>
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 #include "traffic-control-layer.h"
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/traffic-control/model/traffic-control-layer.h ns-3.43/src/traffic-control/model/traffic-control-layer.h
--- ns-3.42/src/traffic-control/model/traffic-control-layer.h	2024-05-29 15:29:47.184073700 -0700
+++ ns-3.43/src/traffic-control/model/traffic-control-layer.h	2024-10-09 16:41:10.100656700 -0700
@@ -2,18 +2,7 @@
  * Copyright (c) 2015 Natale Patriciello <natale.patriciello@gmail.com>
  *               2016 Stefano Avallone <stavallo@unina.it>
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 #ifndef TRAFFICCONTROLLAYER_H
 #define TRAFFICCONTROLLAYER_H
@@ -63,20 +52,26 @@
  * their Receive callback through RegisterProtocolHandler) and NetDevices.
  *
  * An example of the IN connection between this layer and IP layer is the following:
- *\verbatim
-  Ptr<TrafficControlLayer> tc = m_node->GetObject<TrafficControlLayer> ();
+ * \code{.cpp}
+   Ptr<TrafficControlLayer> tc = m_node->GetObject<TrafficControlLayer>();
 
-  NS_ASSERT (tc != 0);
+   NS_ASSERT(tc != nullptr);
 
-  m_node->RegisterProtocolHandler (MakeCallback (&TrafficControlLayer::Receive, tc),
-                                   Ipv4L3Protocol::PROT_NUMBER, device);
-  m_node->RegisterProtocolHandler (MakeCallback (&TrafficControlLayer::Receive, tc),
-                                   ArpL3Protocol::PROT_NUMBER, device);
-
-  tc->RegisterProtocolHandler (MakeCallback (&Ipv4L3Protocol::Receive, this),
-                               Ipv4L3Protocol::PROT_NUMBER, device);
-  tc->RegisterProtocolHandler (MakeCallback (&ArpL3Protocol::Receive, PeekPointer
- (GetObject<ArpL3Protocol> ())), ArpL3Protocol::PROT_NUMBER, device); \endverbatim
+   m_node->RegisterProtocolHandler(MakeCallback(&TrafficControlLayer::Receive, tc),
+                                   Ipv4L3Protocol::PROT_NUMBER,
+                                   device);
+   m_node->RegisterProtocolHandler(MakeCallback(&TrafficControlLayer::Receive, tc),
+                                   ArpL3Protocol::PROT_NUMBER,
+                                   device);
+
+   tc->RegisterProtocolHandler(MakeCallback(&Ipv4L3Protocol::Receive, this),
+                               Ipv4L3Protocol::PROT_NUMBER,
+                               device);
+   tc->RegisterProtocolHandler(
+       MakeCallback(&ArpL3Protocol::Receive, PeekPointer(GetObject<ArpL3Protocol>())),
+       ArpL3Protocol::PROT_NUMBER,
+       device);
+   \endcode
  * On the node, for IPv4 and ARP packet, is registered the
  * TrafficControlLayer::Receive callback. At the same time, on the TrafficControlLayer
  * object, is registered the callbacks associated to the upper layers (IPv4 or ARP).
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/traffic-control/test/adaptive-red-queue-disc-test-suite.cc ns-3.43/src/traffic-control/test/adaptive-red-queue-disc-test-suite.cc
--- ns-3.42/src/traffic-control/test/adaptive-red-queue-disc-test-suite.cc	2024-05-29 15:29:47.184073700 -0700
+++ ns-3.43/src/traffic-control/test/adaptive-red-queue-disc-test-suite.cc	2024-10-09 16:41:10.100656700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2015 NITK Surathkal
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mohit P. Tahiliani <tahiliani@nitk.edu.in>
  *
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/traffic-control/test/cobalt-queue-disc-test-suite.cc ns-3.43/src/traffic-control/test/cobalt-queue-disc-test-suite.cc
--- ns-3.42/src/traffic-control/test/cobalt-queue-disc-test-suite.cc	2024-05-29 15:29:47.184073700 -0700
+++ ns-3.43/src/traffic-control/test/cobalt-queue-disc-test-suite.cc	2024-10-09 16:41:10.100656700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2019 NITK Surathkal
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Ported to ns-3 by: Vignesh Kannan <vignesh2496@gmail.com>
  *                    Harsh Lara <harshapplefan@gmail.com>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/traffic-control/test/codel-queue-disc-test-suite.cc ns-3.43/src/traffic-control/test/codel-queue-disc-test-suite.cc
--- ns-3.42/src/traffic-control/test/codel-queue-disc-test-suite.cc	2024-05-29 15:29:47.184073700 -0700
+++ ns-3.43/src/traffic-control/test/codel-queue-disc-test-suite.cc	2024-10-09 16:41:10.100656700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2014 ResiliNets, ITTC, University of Kansas
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Truc Anh N Nguyen <trucanh524@gmail.com>
  * Modified by:   Pasquale Imputato <p.imputato@gmail.com>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/traffic-control/test/fifo-queue-disc-test-suite.cc ns-3.43/src/traffic-control/test/fifo-queue-disc-test-suite.cc
--- ns-3.42/src/traffic-control/test/fifo-queue-disc-test-suite.cc	2024-05-29 15:29:47.184073700 -0700
+++ ns-3.43/src/traffic-control/test/fifo-queue-disc-test-suite.cc	2024-10-09 16:41:10.100656700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2017 Universita' degli Studi di Napoli Federico II
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Stefano Avallone <stavallo@unina.it>
  *
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/traffic-control/test/pie-queue-disc-test-suite.cc ns-3.43/src/traffic-control/test/pie-queue-disc-test-suite.cc
--- ns-3.42/src/traffic-control/test/pie-queue-disc-test-suite.cc	2024-05-29 15:29:47.184073700 -0700
+++ ns-3.43/src/traffic-control/test/pie-queue-disc-test-suite.cc	2024-10-09 16:41:10.100656700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2016 NITK Surathkal
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Shravya Ks <shravya.ks0@gmail.com>
  *          Smriti Murali <m.smriti.95@gmail.com>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/traffic-control/test/prio-queue-disc-test-suite.cc ns-3.43/src/traffic-control/test/prio-queue-disc-test-suite.cc
--- ns-3.42/src/traffic-control/test/prio-queue-disc-test-suite.cc	2024-05-29 15:29:47.184073700 -0700
+++ ns-3.43/src/traffic-control/test/prio-queue-disc-test-suite.cc	2024-10-09 16:41:10.100656700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2017 Universita' degli Studi di Napoli Federico II
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Stefano Avallone <stavallo@unina.it>
  *
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/traffic-control/test/queue-disc-traces-test-suite.cc ns-3.43/src/traffic-control/test/queue-disc-traces-test-suite.cc
--- ns-3.42/src/traffic-control/test/queue-disc-traces-test-suite.cc	2024-05-29 15:29:47.184073700 -0700
+++ ns-3.43/src/traffic-control/test/queue-disc-traces-test-suite.cc	2024-10-09 16:41:10.100656700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2018 Universita' degli Studi di Napoli Federico II
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Stefano Avallone <stavallo@unina.it>
  *
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/traffic-control/test/red-queue-disc-test-suite.cc ns-3.43/src/traffic-control/test/red-queue-disc-test-suite.cc
--- ns-3.42/src/traffic-control/test/red-queue-disc-test-suite.cc	2024-05-29 15:29:47.184073700 -0700
+++ ns-3.43/src/traffic-control/test/red-queue-disc-test-suite.cc	2024-10-09 16:41:10.100656700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright © 2011 Marcos Talau
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Marcos Talau (talau@users.sourceforge.net)
  * Modified by:   Pasquale Imputato <p.imputato@gmail.com>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/traffic-control/test/tbf-queue-disc-test-suite.cc ns-3.43/src/traffic-control/test/tbf-queue-disc-test-suite.cc
--- ns-3.42/src/traffic-control/test/tbf-queue-disc-test-suite.cc	2024-05-29 15:29:47.184073700 -0700
+++ ns-3.43/src/traffic-control/test/tbf-queue-disc-test-suite.cc	2024-10-09 16:41:10.100656700 -0700
@@ -2,18 +2,7 @@
  * Copyright (c) 2017 Kungliga Tekniska Högskolan
  *               2017 Universita' degli Studi di Napoli Federico II
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Surya Seetharaman <suryaseetharaman.9@gmail.com>
  *          Stefano Avallone <stavallo@unina.it>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/traffic-control/test/tc-flow-control-test-suite.cc ns-3.43/src/traffic-control/test/tc-flow-control-test-suite.cc
--- ns-3.42/src/traffic-control/test/tc-flow-control-test-suite.cc	2024-05-29 15:29:47.184073700 -0700
+++ ns-3.43/src/traffic-control/test/tc-flow-control-test-suite.cc	2024-10-09 16:41:10.100656700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2017 Universita' degli Studi di Napoli Federico II
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Stefano Avallone <stavallo@unina.it>
  *
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/uan/examples/uan-6lowpan-example.cc ns-3.43/src/uan/examples/uan-6lowpan-example.cc
--- ns-3.42/src/uan/examples/uan-6lowpan-example.cc	2024-05-29 15:29:47.184073700 -0700
+++ ns-3.43/src/uan/examples/uan-6lowpan-example.cc	2024-10-09 16:41:10.104656700 -0700
@@ -1,17 +1,6 @@
 /*
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Hossam Khader <hossamkhader@gmail.com>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/uan/examples/uan-cw-example.cc ns-3.43/src/uan/examples/uan-cw-example.cc
--- ns-3.42/src/uan/examples/uan-cw-example.cc	2024-05-29 15:29:47.184073700 -0700
+++ ns-3.43/src/uan/examples/uan-cw-example.cc	2024-10-09 16:41:10.104656700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2009 University of Washington
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Leonard Tracy <lentracy@gmail.com>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/uan/examples/uan-cw-example.h ns-3.43/src/uan/examples/uan-cw-example.h
--- ns-3.42/src/uan/examples/uan-cw-example.h	2024-05-29 15:29:47.184073700 -0700
+++ ns-3.43/src/uan/examples/uan-cw-example.h	2024-10-09 16:41:10.104656700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2009 University of Washington
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Leonard Tracy <lentracy@gmail.com>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/uan/examples/uan-ipv4-example.cc ns-3.43/src/uan/examples/uan-ipv4-example.cc
--- ns-3.42/src/uan/examples/uan-ipv4-example.cc	2024-05-29 15:29:47.184073700 -0700
+++ ns-3.43/src/uan/examples/uan-ipv4-example.cc	2024-10-09 16:41:10.104656700 -0700
@@ -1,17 +1,6 @@
 /*
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Hossam Khader <hossamkhader@gmail.com>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/uan/examples/uan-ipv6-example.cc ns-3.43/src/uan/examples/uan-ipv6-example.cc
--- ns-3.42/src/uan/examples/uan-ipv6-example.cc	2024-05-29 15:29:47.184073700 -0700
+++ ns-3.43/src/uan/examples/uan-ipv6-example.cc	2024-10-09 16:41:10.104656700 -0700
@@ -1,17 +1,6 @@
 /*
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Hossam Khader <hossamkhader@gmail.com>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/uan/examples/uan-raw-example.cc ns-3.43/src/uan/examples/uan-raw-example.cc
--- ns-3.42/src/uan/examples/uan-raw-example.cc	2024-05-29 15:29:47.184073700 -0700
+++ ns-3.43/src/uan/examples/uan-raw-example.cc	2024-10-09 16:41:10.104656700 -0700
@@ -1,17 +1,6 @@
 /*
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Hossam Khader <hossamkhader@gmail.com>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/uan/examples/uan-rc-example.cc ns-3.43/src/uan/examples/uan-rc-example.cc
--- ns-3.42/src/uan/examples/uan-rc-example.cc	2024-05-29 15:29:47.184073700 -0700
+++ ns-3.43/src/uan/examples/uan-rc-example.cc	2024-10-09 16:41:10.104656700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2009 University of Washington
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Leonard Tracy <lentracy@gmail.com>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/uan/examples/uan-rc-example.h ns-3.43/src/uan/examples/uan-rc-example.h
--- ns-3.42/src/uan/examples/uan-rc-example.h	2024-05-29 15:29:47.184073700 -0700
+++ ns-3.43/src/uan/examples/uan-rc-example.h	2024-10-09 16:41:10.104656700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2009 University of Washington
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Leonard Tracy <lentracy@gmail.com>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/uan/helper/acoustic-modem-energy-model-helper.cc ns-3.43/src/uan/helper/acoustic-modem-energy-model-helper.cc
--- ns-3.42/src/uan/helper/acoustic-modem-energy-model-helper.cc	2024-05-29 15:29:47.184073700 -0700
+++ ns-3.43/src/uan/helper/acoustic-modem-energy-model-helper.cc	2024-10-09 16:41:10.104656700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2010 Andrea Sacco
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Author: Andrea Sacco <andrea.sacco85@gmail.com>
  */
